import { createApp } from 'vue'
import App from './App.vue'
import { wxShare } from '@/plugins/wxshare';
// import {isMobile} from '@/plugins'
import VConsole from 'vconsole';
import 'vant/lib/index.css';



const app = createApp(App)


// 微信分享配置
wxShare({
    title: '兴福龙 护航记',
    desc: '趣味地图大探索，消保守护每一程',
})
// const vConsole = new VConsole();

// 测试环境开vconsole
// if (isMobile()) {
    // const vConsole = new VConsole();
// }

app.mount('#app')
console.log('Mode:', import.meta.env.VITE_MODE);
